@charset "utf-8";

.header.UpMove{
  animation: UpAnime 0.5s forwards;
}

.ham-wrap{
  margin-top:5rem;
}

.header.DownMove{
  animation: DownAnime 0.5s forwards;
}
@keyframes UpAnime{
  from {
    opacity: 1;
    transform: translateY(0);
  }
  to {
    opacity: 0;
    transform: translateY(-100px);
  }
}
@keyframes DownAnime{
  from {
    opacity: 0;
    transform: translateY(-100px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}


.header{
  position: fixed;
  z-index:9999;
  top: 0;
  left: 0%;
  width: 100%;
  padding:0 0 0 2.5%;
  background: #FFFFFF;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  transition: 0.3s;
  border-bottom:0.5px solid transparent;
}

.header.scrolled{
  border-bottom:0.5px solid #121E3B;
}

.header-left{
  width: 198px;
}

.header_menu{
  display: flex;
  flex-direction: row;
  gap: 1.5rem;
  align-items: center;
  font-size:14px;
}

.header-right{
  display: flex;
  align-items: center;
  gap: 1.5rem;
}

.header-right .header_menu > a{
  position:relative;
  padding-bottom:8px;
}

.header-right .header_menu > a::before{
  position:absolute;
  content:"";
  width:0;
  height:1px;
  background:#2E4C99;
  transition:0.3s;
  bottom:0;
  left:0;
}

.header-right .header_menu:hover:not(:has(> div:hover)) > a {
  color: #ADADAD;
}

.header-right .header_menu:not(:has(> div:hover)) > a:hover{
  color:#2E4C99;
  opacity:1;
}

.header-right .header_menu:not(:has(> div:hover)) > a:hover::before{
  width:100%;
}

.header-contact{
  color: #fff;
  background: #5277D6;
  padding: 1.75rem 2rem;
  font-weight:500;
  font-size:1rem;
}

.header-contact2{
  background: #2E4C99;
}

.header-contact:hover{
  color:#fff;
}

.header_menu-item a{
  text-align: center;
}

.header_menu-item strong{
  font-weight: bold;
  font-size: 12px;
  display: block;
  margin-top: 4px;
}

.sub-menu{
  display: none;
  position: absolute;
  top: calc(100% + 2rem);
  left: 50%;
  transform: translateX(-50%);
  -webkit-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  width: -moz-max-content;
  width: max-content;
  text-align: center;
}

.hamBtn {
  cursor: pointer;
  z-index: 9999;
  transition: all .5s;
  display: none;
  align-items: center;
  width: 64px;
  height: 64px;
  justify-content: center;
  background:#2E4C99;
}

.hamBar {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 50%;
  height:40%;
}

.hamBar>div {
  position: absolute;
  right: 0;
  width: 100%;
  height: 2px;
  background: #fff;
  transition: .5s;
}

.hamBar>div:nth-child(1) {
  top: 0; 
}

.hamBar>div:nth-child(2) {
  top: 50%;
}

.hamBar>div:nth-child(3) {
  top: 100%;
}

.hamBar.active>div:nth-child(1) {
  top: 50%;
  transform: rotate(-30deg);
}

.hamBar.active>div:nth-child(2) {
  opacity: 0;
}

.hamBar.active>div:nth-child(3) {
  top: 50%;
  transform: rotate(30deg);
  width:100%;
}


.sp__menu {
  background: #fff;
  position: fixed;
  top: 0;
  left: 0px;
  opacity: 0;
  width: 100%;
  height: 100vh;
  display:flex;
  flex-direction: column;
  padding-top: 10%;
  align-items:center;
  transition: 1s;
  z-index:-100;
  visibility:hidden;
  gap: 2rem;
}

.sp__menu .header_menu{
  flex-direction: column;
  gap: 2.5rem;
}

.ham-wrap{
  max-width:1080px;
  margin:0 auto;
  width: 90%;
  display: flex;
  flex-wrap: wrap;
  gap: 2rem ;
  flex-direction: column;
  text-align: center;
}

.sp__menu.active {
  opacity: 1;
  visibility: visible;
  z-index:1000;
  right: 0;
}

body:has(.sp__menu.active) .header > .header-left{
  opacity:0;
  pointer-events:none;
}

.sp__menu .header_menu > div{
  display: flex;
  flex-direction: column;
  gap: 1rem;
  width: 250px;
}

.sp__menu .header-contact{
  text-align:center;
}

@media (max-width: 1400px) {
  .header-contact{
    padding: 1.5rem 0.75rem;
    font-size: 14px;
  }
}

@media (max-width: 1280px) {
  .header{
    padding:0 0 0 1.5%;
  }
  .header-contact{
    font-size: 12px;
  }
  .header_menu{
    font-size: 12px;
  }
}

@media (max-width: 1150px) {
  .header_menu{
    gap: 1rem;
  }
  .header-left {
    width: 160px;
  }
}

@media (max-width: 1024px) {
  .header {
    padding: 0 0 0 2.5%;
  }
  .sp__menu{
    overflow: scroll;
    min-height: 700px;
    height: 100%;
    justify-content: center;
    padding: 0 0 10rem;
    gap: 3rem;
  }
  .hamBtn{
    display:flex;
  }
  .header-right{
    display:none;
  }
  .header_menu,
  .sp__menu .header-contact{
    font-size:14px;
  }
  .sp__menu .header-left {
    width: 240px;
  }
}


@media (max-width: 767px) {
  .sp__menu {
    width:100%;
    padding: 0;
    max-width: none;
            gap: 2rem;
  }
  .header-left {
    width: 150px;
  }
  .hamBtn {
    width: 48px;
    height: 48px;
  }
  .hamBar>div{
    height:1px;
  }
  .sp__menu .header_menu a.header-contact {
    height: 45px;
    width: 230px;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .sp__menu .header_menu > div{
    width:auto;
    gap: 0.5rem;
  }
  .sp__menu .header_menu{
    gap: 2rem;
    align-items: flex-start;
  }
  .sp__menu .header_menu > a {
    width:100%;
    position:relative;
  }
  .sp__menu .header_menu > a::before {
    content:"";
    position:absolute;
    width:1.5rem;
    height:1.5rem;
    right:0;
    top: 50%;
    transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    background:url(https://gyosho.co.jp/system_panel/uploads/images/20260429123829206707.png) no-repeat center/contain;
  }
}


#header.UpMove{
  animation: UpAnime 0.5s forwards;
}

@keyframes UpAnime{
  from {
    opacity: 1;
    transform: translateY(0);
  }
  to {
    opacity: 0;
    transform: translateY(-100px);
  }
}

/*　下に下がる動き　*/

#header.DownMove{
  animation: DownAnime 0.5s forwards;
}
@keyframes DownAnime{
  from {
    opacity: 0;
    transform: translateY(-100px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}